# Interface FileAttribute<T>

Type Parameters:
  `T` - The type of the file attribute value

public interface FileAttribute<T>
An object that encapsulates the value of a file attribute that can be set atomically when creating a new file or directory by invoking the `createFile` or `createDirectory` methods.

Since:
  1.7
See Also:
  - `PosixFilePermissions.asFileAttribute(Set)`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
Returns the attribute name.
`T`
`value()`
Returns the attribute value.

## Method Details

### name

String name()
Returns the attribute name.

Returns:
  The attribute name

### value

T value()
Returns the attribute value.

Returns:
  The attribute value